# Generated by Django 3.2.5 on 2021-11-20 17:19

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("app", "0020_auto_20210915_1538"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="course",
            name="name",
        ),
        migrations.RemoveField(
            model_name="course",
            name="specifications_url",
        ),
        migrations.RemoveField(
            model_name="courseoffering",
            name="code",
        ),
        migrations.RemoveField(
            model_name="courseoffering",
            name="contact_hours",
        ),
        migrations.RemoveField(
            model_name="courseoffering",
            name="department",
        ),
        migrations.RemoveField(
            model_name="courseoffering",
            name="instructor",
        ),
        migrations.RemoveField(
            model_name="courseoffering",
            name="reference",
        ),
        migrations.RemoveField(
            model_name="courseoffering",
            name="study_hours",
        ),
        migrations.RemoveField(
            model_name="courseoffering",
            name="year_part_time",
        ),
        migrations.RemoveField(
            model_name="employee",
            name="category",
        ),
        migrations.RemoveField(
            model_name="faculty",
            name="human_code",
        ),
        migrations.RemoveField(
            model_name="faculty",
            name="legacy_code",
        ),
        migrations.RemoveField(
            model_name="faculty",
            name="name",
        ),
        migrations.RemoveField(
            model_name="program",
            name="name",
        ),
        migrations.RemoveField(
            model_name="program",
            name="type",
        ),
        migrations.AddField(
            model_name="course",
            name="instructor",
            field=models.ForeignKey(
                blank=True,
                help_text="The instructors that teach the course.",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="instructor",
                to="app.employee",
            ),
        ),
        migrations.AddField(
            model_name="course",
            name="languages",
            field=models.CharField(
                blank=True,
                help_text="Languages this course is taught in.",
                max_length=255,
            ),
        ),
        migrations.AddField(
            model_name="course",
            name="name_en",
            field=models.CharField(
                db_index=True,
                default="",
                help_text="The name of this course in English.",
                max_length=255,
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="course",
            name="name_nl",
            field=models.CharField(
                db_index=True,
                default="",
                help_text="The name of this course in Dutch.",
                max_length=255,
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="faculty",
            name="color",
            field=models.CharField(
                default="#111b47",
                help_text="The color representing this faculty. ",
                max_length=255,
            ),
        ),
        migrations.AddField(
            model_name="faculty",
            name="id_code",
            field=models.CharField(
                default="",
                help_text="The identification code for this faculty specified by the university in the course catalogue.",
                max_length=255,
                unique=True,
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="faculty",
            name="name_en",
            field=models.CharField(
                default="",
                help_text="The name of this faculty in English (e.g. Faculty of Engineering and Architecture).",
                max_length=255,
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="faculty",
            name="name_nl",
            field=models.CharField(
                default="",
                help_text="The name of this faculty in Dutch (e.g. Faculteit Ingenieurswetenschappen en Architectuur).",
                max_length=255,
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="program",
            name="education_type",
            field=models.CharField(
                blank=True,
                help_text="Type of education of this program like bachelor",
                max_length=255,
            ),
        ),
        migrations.AddField(
            model_name="program",
            name="faculty",
            field=models.ForeignKey(
                default="",
                help_text="The faculty of this program.",
                on_delete=django.db.models.deletion.PROTECT,
                related_name="programs",
                to="app.faculty",
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="program",
            name="name_en",
            field=models.CharField(
                db_index=True,
                default="",
                help_text="The name of this program in English (e.g. Joint Section Bachelor of Science in Engineering).",
                max_length=1023,
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="program",
            name="name_nl",
            field=models.CharField(
                db_index=True,
                default="",
                help_text="The name of this program in Dutch (e.g. Joint Section Bachelor of Science in Engineering).",
                max_length=1023,
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="admingroup",
            name="name",
            field=models.CharField(
                default="", help_text="The name of this admin group. ", max_length=100
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="courseoffering",
            name="semester",
            field=models.CharField(
                blank=True,
                choices=[("1", "1st"), ("2", "2nd"), ("J", "Year")],
                help_text="The semester of the year that the course is taught at.",
                max_length=10,
            ),
        ),
        migrations.AlterField(
            model_name="courseoffering",
            name="year",
            field=models.CharField(
                blank=True,
                default="",
                help_text="Full-time trajectory. This field shows which model track (master year) a course belongs to. 1 = 1st master year, 2 = 2nd master year, not filled in = the student chooses when to take the course.",
                max_length=2,
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="faculty",
            name="code",
            field=models.CharField(
                help_text="The abbreviation code for this faculty used by students and the university's main website.",
                max_length=255,
            ),
        ),
        migrations.DeleteModel(
            name="ProgramType",
        ),
    ]
